org.apache.struts2.config_browser

## Class ShowValidatorAction.PropertyInfo

- java.lang.Object
- - org.apache.struts2.config_browser.ShowValidatorAction.PropertyInfo

- All Implemented Interfaces:
    Comparable
  Enclosing class:
    ShowValidatorAction

      public static class ShowValidatorAction.PropertyInfo
      extends Object
      implements Comparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowValidatorAction.PropertyInfo(String name, Class type, Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object o)`
    `boolean` | `equals(Object o)`
    `String` | `getName()`
    `Class` | `getType()`
    `Object` | `getValue()`
    `int` | `hashCode()`
    `void` | `setName(String name)`
    `void` | `setType(Class type)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShowValidatorAction.PropertyInfo

          public ShowValidatorAction.PropertyInfo(String name,
                                          Class type,
                                          Object value)

  - ### Method Detail

    - #### getType

          public Class getType()

    - #### setType

          public void setType(Class type)

    - #### getValue

          public Object getValue()

    - #### setValue

          public void setValue(Object value)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(Object o)

      Specified by:
        `compareTo` in interface `Comparable`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.